%define dist .el5

###############################################################################
###############################################################################
##
##  Copyright (C) 2006-2007 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################


%define PEGASUS_PROVIDERS_DIR %{_libdir}/Pegasus/providers


############  SRPM  ###################


Name: clustermon
Version: 0.10.0
Release: 5%{?dist}.XOS.1
License: GPL
URL: http://sources.redhat.com/cluster/conga

Group: System Environment/Base
Summary: Monitoring and management of X/OS Linux Cluster Suite

Source0: %{name}-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: glibc-devel gcc-c++ libxml2-devel
BuildRequires: openssl-devel dbus-devel pam-devel pkgconfig
BuildRequires: net-snmp-devel tog-pegasus-devel

%description
This package contains X/OS Linux Cluster Suite
SNMP/CIM module/agent/provider.


%prep
%setup -q

%build
%configure		--arch=%{_arch} \
		--docdir=%{_docdir} \
		--pegasus_providers_dir=%{PEGASUS_PROVIDERS_DIR} \
		--include_zope_and_plone=no
make %{?_smp_mflags} clustermon

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_clustermon

%clean
rm -rf $RPM_BUILD_ROOT




###  cluster module  ###


%package -n modcluster
Group: System Environment/Base
Summary: X/OS Linux Cluster Suite - remote management

Requires: oddjob dbus openssl
Requires: initscripts util-linux
Requires(post): chkconfig initscripts util-linux
Requires(preun): chkconfig initscripts
Requires(postun): initscripts util-linux
Conflicts: clumon
Conflicts: ricci-modcluster

%description -n modcluster
Management module for X/OS Linux Cluster Suite.


%files -n modcluster
%defattr(-,root,root)
%config(noreplace)	%{_sysconfdir}/oddjobd.conf.d/modcluster.oddjob.conf
%config(noreplace)	%{_sysconfdir}/dbus-1/system.d/modcluster.systembus.conf
			%{_sysconfdir}/rc.d/init.d/modclusterd
			%{_libexecdir}/modcluster
			%{_sbindir}/modclusterd
			%{_docdir}/modcluster-%{version}/


%post -n modcluster
/sbin/chkconfig --add modclusterd
DBUS_PID=`cat /var/run/messagebus.pid 2> /dev/null`
/bin/kill -s SIGHUP $DBUS_PID > /dev/null 2>&1
# It's ok if this fails (it will fail when oddjob is not running).
/sbin/service oddjobd reload > /dev/null 2>&1 || true

%preun -n modcluster
if [ "$1" == "0" ]; then
	/sbin/service modclusterd stop > /dev/null 2>&1
	/sbin/chkconfig --del modclusterd
fi

%postun -n modcluster
if [ "$1" == "0" ]; then
	DBUS_PID=`cat /var/run/messagebus.pid 2> /dev/null`
	/bin/kill -s SIGHUP $DBUS_PID > /dev/null 2>&1
	/sbin/service oddjobd reload > /dev/null 2>&1
fi
if [ "$1" == "1" ]; then
	/sbin/service modclusterd condrestart > /dev/null 2>&1
fi




###  cluster-snmp  ###


%package -n cluster-snmp
Group: System Environment/Base
Summary: X/OS Linux Cluster Suite - SNMP agent

Requires: modcluster = %{version}-%{release}
Requires: net-snmp
Requires: oddjob openssl
Requires(post): initscripts
Requires(postun): initscripts
Conflicts: clumon-snmp

%description -n cluster-snmp
SNMP agent for X/OS Linux Cluster Suite.

%files -n cluster-snmp
%defattr(-,root,root)
			%{_libdir}/cluster-snmp/
			%{_datadir}/snmp/mibs/REDHAT-MIB
			%{_datadir}/snmp/mibs/REDHAT-CLUSTER-MIB
			%{_docdir}/cluster-snmp-%{version}/

%post -n cluster-snmp
/sbin/service snmpd condrestart > /dev/null 2>&1 || true

%postun -n cluster-snmp
# don't restart snmpd twice on upgrades
if [ "$1" == "0" ]; then
	/sbin/service snmpd condrestart > /dev/null 2>&1
fi





###  cluster-cim  ###


%package -n cluster-cim
Group: System Environment/Base
Summary: X/OS Linux Cluster Suite - CIM provider

Requires: modcluster = %{version}-%{release}
Requires: tog-pegasus
Requires: oddjob openssl
Requires(post): initscripts
Requires(postun): initscripts
Conflicts: clumon-cim

%description -n cluster-cim
CIM provider for X/OS Linux Cluster Suite.

%files -n cluster-cim
%defattr(-,root,root)
			%{PEGASUS_PROVIDERS_DIR}/libRedHatClusterProvider.so
			%{_docdir}/cluster-cim-%{version}/

%post -n cluster-cim
# pegasus might not be running, don't fail %post
/sbin/service tog-pegasus condrestart > /dev/null 2>&1 || true

%postun -n cluster-cim
# don't restart pegasus twice on upgrades
if [ "$1" == "0" ]; then
	/sbin/service tog-pegasus condrestart > /dev/null 2>&1
fi
# pegasus might not be running, don't fail %postun
exit 0






###  changelog ###


%changelog
* Sat Dec 08 2007 X/OS Linux Team <xoslinux@xos.nl> - 0.10.0-5.el5.XOS.1
- Build for X/OS Linux 5.
- X/OS Linux source rpm based on clustermon-0.10.0-5.el5.src.rpm
  (md5sum of original source rpm: 0e2e4f99bd9df17042de92ff6c84576f).
- Include "dist" macro with value ".el5" to match the original release number.
- Textual changes for X/OS Linux.

* Mon Aug 20 2007 Ryan McCabe <rmccabe@redhat.com> 0.10.0-5
- Fixed bz253341 (failure to start cluster service which had been modifed for correction)
- Resolves: bz253341

* Wed Aug 08 2007 Ryan McCabe <rmccabe@redhat.com> 0.10.0-4
- Fixed bz230451 (fence_xvm.key file is not automatically created. Should have a least a default)
- Resolves: bz230451

* Mon Jul 30 2007 Ryan McCabe <rmccabe@redhat.com> 0.10.0-3
- Fixed bz249351 (conga reports that ricci agent is unresponsive even though it's running)

* Wed Jun 27 2007 Ryan McCabe <rmccabe@redhat.com> 0.10.0-1
- Performance improvements.
- Make the clustermon init script more LSB-compliant
- Related: bz243701

* Wed Apr 11 2007 Ryan McCabe <rmccabe@redhat.com> 0.9.2-5
- Version bump
- Related: bz229027, bz230447, bz230452, bz230454, bz230457,
- Related: bz230461, bz230469, bz228637, bz233326, bz225747,
- Related: bz225206, bz225164, bz227758

* Wed Mar 28 2007 Stanko Kupcevic <kupcevic@redhat.com> 0.9.2-4
- Do not fail on i18n machines
- Fixed bz225747 (Create/delete cluster - then access disk on node = Generic error on host: cluster tools: cman_tool errored)
- Fixed bz230454 (Unable to configure a virtual service)
- Resolves: bz225747, bz230454

* Tue Jan 23 2007 Stanko Kupcevic <kupcevic@redhat.com> 0.8-30
- Version bump

* Wed Jan 17 2007 Stanko Kupcevic <kupcevic@redhat.com> 0.8-29
- Version bump

* Wed Jan 17 2007 Stanko Kupcevic <kupcevic@redhat.com> 0.8-28
- Version bump

* Wed Jan 10 2007 Stanko Kupcevic <kupcevic@redhat.com> 0.8-27
- Improved bz218941: Conga/luci - cannot add node to cluster via luci web app

* Tue Dec 12 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-26
- Version bump

* Thu Nov 16 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-25
- Fix build issues (D-BUS detection)

* Thu Nov 16 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-24
 - version bump

* Wed Nov 01 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-23
- version bump

* Tue Oct 31 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-22
- Version bump

* Wed Oct 25 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-21
- 211942: Xenvm moniker must be eradicated

* Wed Oct 16 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-20
- cluster module: mark services as being xenvms, in status report

* Wed Oct 16 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-19
- Fixed bz 206571 (clustat changed output)
- modclusterd startup/shutdown improvements

* Fri Oct 06 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-18
- Add purge_conf argument to stop_node modcluster call (bz202314)

* Wed Oct 04 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-17
- Version bump

* Fri Sep 25 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-16
- Suppress msgs from init script (bz204235)

* Fri Aug 21 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-14
- Version bump

* Fri Aug 18 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-13
- Version bump

* Wed Aug 16 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-12
- Move modcluster from /usr/sbin to /usr/libexec
- Implement support for Cluster Suite 5
- Don't auto-start modclusterd after installation, do it manually

* Wed Aug 09 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-11
- Spinoff: separate clustermon.srpm (modcluster, cluster-snmp and
  cluster-cim) from conga.srpm
